Page MenuHomePhabricator

History of Utilisateur:Binabik@frwiki missing after global rename
Closed, ResolvedPublic

Description

Can't find it in revision/archive under new name nor under old name

T76975 is the global rename failure, but getting the page history back is more important.

After doing some digging, we found that the revisions are under a rev_page=1469156.

Event Timeline

Legoktm created this task.Dec 7 2014, 11:07 PM
Legoktm raised the priority of this task from to Unbreak Now!.
Legoktm updated the task description. (Show Details)
Legoktm changed Security from none to None.
Legoktm added a subscriber: Legoktm.

1MariaDB [frwiki_p]> SELECT DISTINCT rev_page, COUNT(*) FROM revision LEFT JOIN page ON rev_page = page_id WHERE page_title IS NULL AND rev_user=237710 GROUP BY rev_page;
2+----------+----------+
3| rev_page | COUNT(*) |
4+----------+----------+
5| 1469156 | 120 |
6| 4466608 | 16 |
7| 4471479 | 12 |
8| 4704902 | 38 |
9| 5190536 | 1 |
10| 5378671 | 2 |
11| 6555234 | 7 |
12| 6628330 | 245 |
13| 6753687 | 6 |
14| 7498047 | 1 |
15| 7498052 | 1 |
16| 7498149 | 1 |
17| 7575506 | 1 |
18| 7691982 | 1 |
19| 7838094 | 1 |
20| 7838099 | 1 |
21| 7918292 | 1 |
22| 7918293 | 1 |
23| 7918659 | 1 |
24| 8165085 | 1 |
25| 8165086 | 1 |
26| 8199649 | 1 |
27| 8505180 | 1 |
28| 8505181 | 1 |
29+----------+----------+
3024 rows in set (57.88 sec)

So far we've mapped:

[15:05:59] <legoktm> 6628330 is Utilisateur:Binabik/Modèle
[15:06:18] <legoktm> 1469156 is Utilisateur:Binabik

Those are the only two I've looked at for now, both had a null revision on top nicely providing the page name the revision is associated with.

I'm going to wait until Monday before doing anything, but maybe we can just update rev_page to point to the new page_id?

Binabik added a subscriber: Binabik.EditedDec 8 2014, 9:53 PM

For information, the history of the following pages is missing on fr.wikipedia.org ("Utilisateur:" means "User:"):

  • Utilisateur:Binabik
  • Utilisateur:Binabik/Manuscrits de l'huile d'olive
  • Utilisateur:Binabik/Code
  • Utilisateur:Binabik/Modèle
  • Utilisateur:Binabik/Modèle/Documentation
  • Utilisateur:Binabik/Modèle2
  • Utilisateur:Binabik/BUAdmin
  • Utilisateur:Binabik/Livres/Gundam

Yes, just update rev_page

I've restored the page histories for Utilisateur:Binabik and Utilisateur:Binabik/Modèle (the current revision is still a self-redirect though, I didn't touch that). I'll do the rest later today.

All of the following pages have been restored now (thanks for providing a list :)), the number next to it was the previous rev_page.

  • Utilisateur:Binabik - 1469156
  • Utilisateur:Binabik/Manuscrits de l'huile d'olive - 4704902
  • Utilisateur:Binabik/Code - 4466608
  • Utilisateur:Binabik/Modèle - 6628330
  • Utilisateur:Binabik/Modèle/Documentation - 4471479
  • Utilisateur:Binabik/Modèle2 - 6555234
  • Utilisateur:Binabik/BUAdmin - 6753687
  • Utilisateur:Binabik/Livres/Gundam - 5378671

@Binabik, can you confirm that all the missing pages are back? I'll close this bug then.

I confirm that all histories are back :) Thank you!

Legoktm closed this task as Resolved.Dec 11 2014, 8:23 PM
Legoktm moved this task from Backlog to Done on the MediaWiki-Core-Team board.Dec 11 2014, 8:27 PM
bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.Dec 15 2014, 10:26 PM